package DE_EPAGES::Product::UI::CSVExportImportProductType;
use base qw ( DE_EPAGES::ShopCSVExportImport::UI::CSVExportImport );

use strict;
use DE_EPAGES::Product::API::CSV::ProductTypeExportImport;
#==============================================================================
# Helper methods
#==============================================================================
sub createDriver {
    return "DE_EPAGES::Product::API::CSV::ProductTypeExportImport";
}

sub type {
    return 'ProductType';
}

#==============================================================================
# Event handlers
#==============================================================================
sub CSVImport {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;

    #TODO: With AD-8282 RemoteSearch: Use trigger cartridge for ProductType csv-import.
    # we need also to add here the RunBatchProccess hook wrapper
    # in order to stop the CSV-import to send thousands of requests to epagesj.

    $self->SUPER::CSVImport( $Servlet );

    $Shop->updatePageCache;
    return;
}
1;
